org.apache.cxf.interceptor.security

## Class JAASAuthenticationFeature

- java.lang.Object
- - javax.xml.ws.WebServiceFeature
  - - org.apache.cxf.feature.AbstractFeature
    - - org.apache.cxf.interceptor.security.JAASAuthenticationFeature

- All Implemented Interfaces:
    Feature

      public class JAASAuthenticationFeature
      extends AbstractFeature

  Feature to do JAAS authentication with defaults for karaf integration

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static String` | `ID`

    - ### Fields inherited from class javax.xml.ws.WebServiceFeature

      `enabled`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `JAASAuthenticationFeature()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `String` | `getID()`
    `protected void` | `initializeProvider(InterceptorProvider provider, Bus bus)`
    `void` | `setContextName(String contextName)`
    `void` | `setReportFault(boolean reportFault)`

    - ### Methods inherited from class org.apache.cxf.feature.AbstractFeature

      `getActive, initialize, initialize, initialize, initialize`

    - ### Methods inherited from class javax.xml.ws.WebServiceFeature

      `isEnabled`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### ID

          public static final String ID

      See Also:
        Constant Field Values

  - ### Constructor Detail

    - #### JAASAuthenticationFeature

          public JAASAuthenticationFeature()

  - ### Method Detail

    - #### getID

          public String getID()

      Overrides:
        `getID` in class `AbstractFeature`

    - #### initializeProvider

          protected void initializeProvider(InterceptorProvider provider,
                                            Bus bus)

      Overrides:
        `initializeProvider` in class `AbstractFeature`

    - #### setContextName

          public void setContextName(String contextName)

    - #### setReportFault

          public void setReportFault(boolean reportFault)

Apache CXF